org.apache.solr.client.solrj.response

## Class SimpleSolrResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SimpleSolrResponse

- All Implemented Interfaces:
    Serializable

      public class SimpleSolrResponse
      extends SolrResponse

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `elapsedTime`
    `NamedList<Object>` | `nl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleSolrResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getElapsedTime()`
    `NamedList<Object>` | `getResponse()`
    `void` | `setElapsedTime(long elapsedTime)`
    `void` | `setResponse(NamedList<Object> rsp)`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

      `deserialize, serializable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elapsedTime

          public long elapsedTime

    - #### nl

          public NamedList<Object> nl

  - ### Constructor Detail

    - #### SimpleSolrResponse

          public SimpleSolrResponse()

  - ### Method Detail

    - #### getElapsedTime

          public long getElapsedTime()

      Specified by:
        `getElapsedTime` in class `SolrResponse`

    - #### getResponse

          public NamedList<Object> getResponse()

      Specified by:
        `getResponse` in class `SolrResponse`

    - #### setResponse

          public void setResponse(NamedList<Object> rsp)

      Specified by:
        `setResponse` in class `SolrResponse`

    - #### setElapsedTime

          public void setElapsedTime(long elapsedTime)

      Specified by:
        `setElapsedTime` in class `SolrResponse`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.